Bug 135196 - PDF export: Universal Accessibility not documented
Summary: PDF export: Universal Accessibility not documented
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.3.6.2 release
Hardware: All All
: medium enhancement
Assignee: sdc.blanco
URL: https://help.libreoffice.org/7.1/en-U...
Whiteboard: target:7.1.0
Keywords: accessibility
Depends on:
Blocks: PDF-Export PDF-Accessibility
  Show dependency treegraph
 
Reported: 2020-07-27 12:42 UTC by zainab.ali
Modified: 2021-07-31 22:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The LibreOffice file containing an image (3.63 MB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2020-07-27 12:43 UTC, zainab.ali
Details
The tagged PDF export (117.65 KB, application/pdf)
2020-07-27 12:44 UTC, zainab.ali
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zainab.ali 2020-07-27 12:42:18 UTC
Description:
The Tagged PDF export for LibreOffice Impress does not contain alternative text for images

Steps to Reproduce:
  - Open the attached PPT.  There is a single image on the first slide.
  - Right click the image.  Select "Description".  The image has a description of "Alternative Formats icon"
  - Export as a Tagged PDF using File > Export as ... > Tagged PDF
  - Open Tagged PDF in a PDF explorer such as Adobe Acrobat. The image tag does not have alternative text


Actual Results:
   The image tag does not contain an "alt" attribute


Expected Results:
   The image tag does contains an "alt" attribute of "Alternative Formats icon"



Reproducible: Always


User Profile Reset: Yes



Additional Info:
This is an accessibility concern.  Users with screen readers are not able to read image descriptions in the tagged PDF export.
Comment 1 zainab.ali 2020-07-27 12:43:40 UTC
Created attachment 163627 [details]
The LibreOffice file containing an image
Comment 2 zainab.ali 2020-07-27 12:44:15 UTC
Created attachment 163628 [details]
The tagged PDF export
Comment 3 V Stuart Foote 2020-07-27 18:26:08 UTC
For bug 45636 project has implemented support for PDF/UA (ISO 14289) available with the 7.0.0rc2 release and current master/7.1.0 daily builds.

Please retest.
Comment 4 Timur 2020-07-27 19:16:50 UTC
Thanks Stuart for pointing out to bug 45636. I don't understand why it says Writer only. 

With PDF/UA checked (above Tagged), Impress alternative text works in 7.1+ (and probably in 7.0). We can see Title and Description of image on hovering mouse. 
PDF must be open with PDF reader that reads alt text (like Adobe Reader).
So literally this bug would be NotABug (unless exact Alt Text field is required, it's not present in Impress, while it is in Writer).

But as saying goes "don't let good bug report go to waste", I see that new UA option is not documented. Help shows PDF options without it.
And it looks now as seen in https://tomazvajngerl.blogspot.com/2020/01/accessibility-checker-and-support-for.html.

So I confirm this as Documentation bug.
Comment 5 Commit Notification 2020-10-20 18:46:11 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/73e6149de3f0eeb1be5b24e111995be34a7cb0d6

Resolves: tdf#127959 and tdf#135196 - updating help for PDF export - General tab
Comment 6 sdc.blanco 2020-10-20 19:07:38 UTC
(In reply to Commit Notification from comment #5)
> Resolves: tdf#127959 and tdf#135196 - updating help for PDF export - General
> tab
As part of updating the help page for PDF Export, I have also made a separate help page for PDF / UA - based largely on Tomaz's blog (see comment 4 for link.)

It usually takes a few days before the online help gets updated from the master, but the result should appear here:

https://help.libreoffice.org/7.1/en-US/text/shared/01/ref_pdf_export_universal_accessibility.html

Also, there will be a link to that page from the General PDF export help: 
https://help.libreoffice.org/7.1/en-US/text/shared/01/ref_pdf_export_general.html

I will close this bug as FIXED, but no doubt some improvements can be made, so all are welcome to send additional comments about that page to this ticket. I am willing to make adjustments until 7.1 is branched (around mid November).
Comment 7 stragu 2021-07-31 22:55:19 UTC
Verified as the documentation is live, and the following version of LibreOffice has the Description saved as a "name" property when the document is exported as PDF/UA and opened in Firefox:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 1dd4a80fa076bedb3a82821517036bad8dd79857
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-26_22:41:19
Calc: threaded